package istia.st.m2vc.appli;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import istia.st.m2vc.core.*;


public class MaVue extends BaseVueJFrame {
  JPanel contentPane;
  JSpinner jSpinner1 = new JSpinner();
  JButton jButtonQuitter = new JButton();

  //Construire le cadre
  public MaVue() {
    enableEvents(AWTEvent.WINDOW_EVENT_MASK);
    try {
      jbInit();
    }
    catch(Exception e) {
      e.printStackTrace();
    }
  }

  //Initialiser le composant
  private void jbInit() throws Exception  {
    contentPane = (JPanel) this.getContentPane();
    contentPane.setLayout(null);
    this.setSize(new Dimension(220, 92));
    this.setTitle("MaVue");
    jSpinner1.setBounds(new Rectangle(21, 25, 58, 28));
    jButtonQuitter.setBounds(new Rectangle(92, 26, 86, 27));
    jButtonQuitter.setText("Quitter");
    jButtonQuitter.addActionListener(new MaVue_jButtonQuitter_actionAdapter(this));
    contentPane.add(jSpinner1, null);
    contentPane.add(jButtonQuitter, null);
  }

  //Redfini, ainsi nous pouvons sortir quand la fentre est ferme
  protected void processWindowEvent(WindowEvent e) {
  }

  void jButtonQuitter_actionPerformed(ActionEvent e) {
    // action asynchrone - on gle le formulaire
    this.setEnabled(false);
    // on passe l'action  la classe parent
    super.excute("quitter");
  }

  // affiche
  public void affiche() {
    // on dgle le formulaire
    this.setEnabled(true);
    // on affiche la vue parent
    super.affiche();
  }
}

class MaVue_jButtonQuitter_actionAdapter implements java.awt.event.ActionListener {
  MaVue adaptee;

  MaVue_jButtonQuitter_actionAdapter(MaVue adaptee) {
    this.adaptee = adaptee;
  }
  public void actionPerformed(ActionEvent e) {
    adaptee.jButtonQuitter_actionPerformed(e);
  }
}
