package istia.st.m2vc.appli;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import istia.st.m2vc.core.BaseVueJFrame;

public class Vue1 extends BaseVueJFrame {
  JPanel contentPane;
  JSpinner jSpinner1 = new JSpinner();
  JButton jButtonAttendre = new JButton();
  JButton jButtonQuitter = new JButton();

  //Construire le cadre
  public Vue1() {
    enableEvents(AWTEvent.WINDOW_EVENT_MASK);
    try {
      jbInit();
    }
    catch(Exception e) {
      e.printStackTrace();
    }
  }

  //Initialiser le composant
  private void jbInit() throws Exception  {
    contentPane = (JPanel) this.getContentPane();
    contentPane.setLayout(null);
    this.setSize(new Dimension(391, 109));
    this.setTitle("Vue1");
    jSpinner1.setBounds(new Rectangle(21, 30, 91, 29));
    jButtonAttendre.setBounds(new Rectangle(130, 30, 102, 30));
    jButtonAttendre.setText("Attendre");
    jButtonAttendre.addActionListener(new Vue1_jButtonAttendre_actionAdapter(this));
    jButtonQuitter.setText("Quitter");
    jButtonQuitter.addActionListener(new Vue1_jButtonQuitter_actionAdapter(this));
    jButtonQuitter.setBounds(new Rectangle(250, 30, 102, 30));
    contentPane.add(jSpinner1, null);
    contentPane.add(jButtonAttendre, null);
    contentPane.add(jButtonQuitter, null);
  }

  //Redfini, ainsi nous pouvons sortir quand la fentre est ferme
  protected void processWindowEvent(WindowEvent e) {
  }

  // vt sur bouton [Quitter]
  void jButtonQuitter_actionPerformed(ActionEvent e) {
    // on passe la main au contrleur
    super.excute("quitter");
  }

  // affichage fentre
  public void affiche(){
    // on met le curseur flche
    this.setCursor(new Cursor(Cursor.DEFAULT_CURSOR));
    // tat normal
    this.setExtendedState(JFrame.NORMAL);
    // on autorise le formulaire
    jButtonAttendre.setEnabled(true);
    jButtonQuitter.setEnabled(true);
    // on affiche la vue parent
    super.affiche();
  }

  void jButtonAttendre_actionPerformed(ActionEvent e) {
    // action asynchrone - on gle certains lments du formulaire
    jButtonAttendre.setEnabled(false);
    jButtonQuitter.setEnabled(false);
    // sablier
    this.setCursor(new Cursor(Cursor.WAIT_CURSOR));
    // on passe la main au contrleur
    super.excute("attendre");
  }
}

class Vue1_jButtonQuitter_actionAdapter implements java.awt.event.ActionListener {
  Vue1 adaptee;

  Vue1_jButtonQuitter_actionAdapter(Vue1 adaptee) {
    this.adaptee = adaptee;
  }
  public void actionPerformed(ActionEvent e) {
    adaptee.jButtonQuitter_actionPerformed(e);
  }
}

class Vue1_jButtonAttendre_actionAdapter implements java.awt.event.ActionListener {
  Vue1 adaptee;

  Vue1_jButtonAttendre_actionAdapter(Vue1 adaptee) {
    this.adaptee = adaptee;
  }
  public void actionPerformed(ActionEvent e) {
    adaptee.jButtonAttendre_actionPerformed(e);
  }
}
