package istia.st.m2vc.appli;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import java.util.ArrayList;

public class VueErreurs
    extends BaseVueAppli {
  JPanel contentPane;
  JLabel jLabel1 = new JLabel();
  JTextArea jTextAreaTextes = new JTextArea();
  JButton jButtonRetour = new JButton();
  JButton jButtonQuitter = new JButton();

  //Construire le cadre
  public VueErreurs() {
    enableEvents(AWTEvent.WINDOW_EVENT_MASK);
    try {
      jbInit();
    }
    catch (Exception e) {
      e.printStackTrace();
    }
  }

  //Initialiser le composant
  private void jbInit() throws Exception {
    contentPane = (JPanel)this.getContentPane();
    jLabel1.setFont(new java.awt.Font("Garamond", 1, 16));
    jLabel1.setHorizontalAlignment(SwingConstants.CENTER);
    jLabel1.setText("Les erreurs suivantes se sont produites !");
    jLabel1.setBounds(new Rectangle(15, 27, 374, 44));
    contentPane.setLayout(null);
    this.setSize(new Dimension(400, 300));
    this.setTitle("VueErreurs");
    jTextAreaTextes.setText("");
    jTextAreaTextes.setBounds(new Rectangle(30, 76, 321, 104));
    jButtonRetour.setBounds(new Rectangle(20, 216, 206, 36));
    jButtonRetour.setText("Retour  la saisie");
    jButtonRetour.addActionListener(new VueErreurs_jButtonRetour_actionAdapter(this));
    jButtonQuitter.setBounds(new Rectangle(245, 216, 111, 36));
    jButtonQuitter.setText("Quitter");
    jButtonQuitter.addActionListener(new
                                     VueErreurs_jButtonQuitter_actionAdapter(this));
    contentPane.add(jLabel1, null);
    contentPane.add(jTextAreaTextes, null);
    contentPane.add(jButtonRetour, null);
    contentPane.add(jButtonQuitter, null);
  }

  //Redfini, ainsi nous pouvons sortir quand la fentre est ferme
  protected void processWindowEvent(WindowEvent e) {
  }

  // bouton [retour]
  void jButtonRetour_actionPerformed(ActionEvent e) {
    // passage de l'action  la classe parent
    super.excuteAction("saisir");
  }

  // bouton [quitter]
  void jButtonQuitter_actionPerformed(ActionEvent e) {
    // passage de l'action  la classe parent
    super.excuteAction("quitter");
  }

  // affiche
  public void affiche() {
    // affiche les erreurs de la session
    ArrayList erreurs = getSession().getErreurs();
    // prpare le texte  afficher
    String texte = "";
    for (int i = 0; i < erreurs.size(); i++) {
      texte += erreurs.get(i).toString() + "\n";
    }
    // affichage du texte
    jTextAreaTextes.setText(texte);
    // affichage classe parent
    super.affiche();
  }
}

class VueErreurs_jButtonRetour_actionAdapter
    implements java.awt.event.ActionListener {
  VueErreurs adaptee;

  VueErreurs_jButtonRetour_actionAdapter(VueErreurs adaptee) {
    this.adaptee = adaptee;
  }

  public void actionPerformed(ActionEvent e) {
    adaptee.jButtonRetour_actionPerformed(e);
  }
}

class VueErreurs_jButtonQuitter_actionAdapter
    implements java.awt.event.ActionListener {
  VueErreurs adaptee;

  VueErreurs_jButtonQuitter_actionAdapter(VueErreurs adaptee) {
    this.adaptee = adaptee;
  }

  public void actionPerformed(ActionEvent e) {
    adaptee.jButtonQuitter_actionPerformed(e);
  }
}
