package istia.st.m2vc.appli;

import istia.st.m2vc.core.BaseVueJFrame;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class BaseVueAppli
    extends BaseVueJFrame {
  // session de l'application commune aux vues et actions
  private Session session;

  // getters-setters
  public Session getSession() {
    return session;
  }

  public void setSession(Session session) {
    this.session = session;
  }

  public BaseVueAppli() {
    try {
      // on fixe le look and feel des composants
      UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
    }
    catch (Exception ex) {
      throw new RuntimeException(ex.toString());
    }
  }

  // affiche
  public void affiche() {
    // dimension normal
    this.setExtendedState(JFrame.NORMAL);
    // formulaire dgel
    this.setEnabled(true);
    // affichage vue parent
    super.affiche();
  }

  // excute
  protected void excuteAction(String action) {
    // action asynchrone - on gle le formulaire
    this.setEnabled(false);
    // on passe la main  la classe parent
    super.excute(action);
  }
}
