package istia.st.m2vc.appli;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import java.util.ArrayList;

public class VueConsulter
    extends BaseVueAppli {
  JPanel contentPane;
  JLabel jLabel1 = new JLabel();
  JScrollPane jScrollPane1 = new JScrollPane();
  DefaultListModel listTextes = new DefaultListModel();
  JList jList1 = new JList(listTextes);
  JButton jButtonRetour = new JButton();

  //Construire le cadre
  public VueConsulter() {
    enableEvents(AWTEvent.WINDOW_EVENT_MASK);
    try {
      jbInit();
    }
    catch (Exception e) {
      e.printStackTrace();
    }
  }

  //Initialiser le composant
  private void jbInit() throws Exception {
    contentPane = (JPanel)this.getContentPane();
    jLabel1.setText("Liste des textes saisis");
    jLabel1.setBounds(new Rectangle(19, 30, 210, 30));
    contentPane.setLayout(null);
    this.setSize(new Dimension(400, 300));
    this.setTitle("VueConsulter");
    jScrollPane1.setBounds(new Rectangle(19, 86, 254, 91));
    jButtonRetour.setBounds(new Rectangle(19, 205, 209, 32));
    jButtonRetour.setText("Retour  la saisie des textes");
    jButtonRetour.addActionListener(new
                                    VueConsulter_jButtonRetour_actionAdapter(this));
    contentPane.add(jLabel1, null);
    contentPane.add(jScrollPane1, null);
    contentPane.add(jButtonRetour, null);
    jScrollPane1.getViewport().add(jList1, null);
  }

  //Redfini, ainsi nous pouvons sortir quand la fentre est ferme
  protected void processWindowEvent(WindowEvent e) {
  }

  // bouton [retour]
  void jButtonRetour_actionPerformed(ActionEvent e) {
    // retour aux saisies
    super.excuteAction("saisir");
  }

  // affiche
  public void affiche(){
    // affiche les textes de la session
    ArrayList textes=getSession().getTextes();
    // nettoyage pralable
    listTextes.clear();
    // remplissage
    for(int i=0;i<textes.size();i++){
      listTextes.addElement(textes.get(i));
    }
    // affiche la classe parent
    super.affiche();
  }
}

class VueConsulter_jButtonRetour_actionAdapter
    implements java.awt.event.ActionListener {
  VueConsulter adaptee;

  VueConsulter_jButtonRetour_actionAdapter(VueConsulter adaptee) {
    this.adaptee = adaptee;
  }

  public void actionPerformed(ActionEvent e) {
    adaptee.jButtonRetour_actionPerformed(e);
  }
}
